Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(482)

Issue 9687046: code review 9687046: nacl: regularize documentation of box and secretbox. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 4 months ago by sfrithjof
Modified:
9 years, 4 months ago
Reviewers:
agl1, agl
CC:
golang-dev, gobot
Visibility:
Public.

Description

nacl: regularize documentation of box and secretbox.

Patch Set 1 #

Patch Set 2 : diff -r 273987d8ccbc https://code.google.com/p/go.crypto #

Patch Set 3 : diff -r 273987d8ccbc https://code.google.com/p/go.crypto #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -13 lines) Patch
M nacl/box/box.go View 1 3 chunks +7 lines, -6 lines 0 comments Download
M nacl/secretbox/secretbox.go View 1 3 chunks +8 lines, -7 lines 0 comments Download

Messages

Total messages: 8
sfrithjof
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go.crypto
9 years, 4 months ago (2013-05-31 22:10:37 UTC) #1
gobot
R=agl (assigned by minux)
9 years, 4 months ago (2013-06-03 02:38:37 UTC) #2
agl1
NACK. I'm afraid that I think this is a net loss. I've no idea what ...
9 years, 4 months ago (2013-06-03 14:09:08 UTC) #3
sfrithjof
It probably would be a net loss. But the return values should be documented somehow. ...
9 years, 4 months ago (2013-06-06 09:05:57 UTC) #4
sfrithjof
Another point is that the test cases don't use the argument out by always using ...
9 years, 4 months ago (2013-06-06 09:20:05 UTC) #5
agl
On Thu, Jun 6, 2013 at 5:06 AM, <sfrithjof@gmail.com> wrote: > Also I think it ...
9 years, 4 months ago (2013-06-06 14:47:23 UTC) #6
sfrithjof
The arguments are fine; I just managed to confuse myself. Still, if I understand correctly ...
9 years, 4 months ago (2013-06-06 19:03:01 UTC) #7
agl
9 years, 4 months ago (2013-06-06 20:32:00 UTC) #8
On Thu, Jun 6, 2013 at 3:03 PM, Frithjof Schulze <sfrithjof@gmail.com> wrote:
> The arguments are fine; I just managed to confuse myself.
> Still, if I understand correctly this program
> http://play.golang.org/p/SRq2AqA4Dz
> should print 'FirstPart SecondPart', but it prints 'SecondPart'.

I've just looked over the secretbox code again and it's clearly nonsense.
Sorry!

Will be fixed with https://codereview.appspot.com/10099043


Cheers

AGL
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b